////////////////////////////////////////////////////////////////////////////////
// Initialisation
////////////////////////////////////////////////////////////////////////////////

window.onload = function()
{
	definirContenu();
}

function definirContenu()
{
	var pourcent = System.Machine.PowerStatus.batteryPercentRemaining;

	pourcentageBatterieText.innerText = pourcent + "%";
	
	progression(pourcent);
	
	afficherDetails();
}
	
////////////////////////////////////////////////////////////////////////////////
// Definition de la barre de progression
////////////////////////////////////////////////////////////////////////////////
	
function progression(pourcentage)
{
	pourcentageBatterieImage.style.width = Math.round((163/100)*pourcentage);
	Couleur();
}

function Couleur()
{
	var pourcent = System.Machine.PowerStatus.batteryPercentRemaining;
	
	if (pourcent > 25)
	{
		pourcentageBatterieImage.src = "Images/Flyout/BarreVerte.png";
		masquerAlerte();
	}
	else
	{
		if (pourcent > 10)
		{
			pourcentageBatterieImage.src = "Images/Flyout/BarreJaune.png";
		}
		else
		{
			pourcentageBatterieImage.src = "Images/Flyout/BarreRouge.png";
		}		
	}
}

////////////////////////////////////////////////////////////////////////////////
// Affichage
////////////////////////////////////////////////////////////////////////////////

function afficherDetails()
{
	var secteur = System.Machine.PowerStatus.isPowerLineConnected;
	var encharge = System.Machine.PowerStatus.isBatteryCharging;
	var pourcent = System.Machine.PowerStatus.batteryPercentRemaining;
	
	if (secteur == true) {masquerAlerte()}
	
	if (pourcent == 100 && !encharge)
	{
		tempsRestant.style.display = "none";
		capaciteTotale.style.display = "block";
	}
	else if(!secteur)
	{
		tempsRestant.style.display = "block";
		capaciteTotale.style.display = "none";
	}
	else
	{
		tempsRestant.style.display = "block";
		capaciteTotale.style.display = "none";
	}
	
	definirReste();
	
	definirTotale();
}

function definirReste()
{
	var secondesRestantes = System.Machine.PowerStatus.batteryCapacityRemaining;
	var d = new Date();
	d.setTime(secondesRestantes * 1000);
	var h = d.getHours() - 1;
	var m = d.getMinutes();
	if (m < 10) {m = "0" + m}
	var heure = " Heure";
	if (h > 1) {heure = " Heures"}
	var minute = " minute";
	if (m > 1) {minute = " minutes"}
	if (h == 0)
	{
		capacite.innerText = m + minute;
		capaciteTotale.style.left = 70;
	}
	else {capacite.innerText = h + heure + " et " + m + minute}
}


function definirTotale()
{
	var total = System.Machine.PowerStatus.batteryCapacityTotal;
	var d = new Date();
	d.setTime(total * 1000);
	var h = d.getHours() - 1;
	var m = d.getMinutes();
	if (m < 10) {m = "0" + m}
	var heure = " Heure";
	if (h > 1) {heure = " Heures"}
	var minute = " minute";
	if (m > 1) {minute = " minutes"}
	if (h == 0)
	{
		capacite.innerText = m + minute;
		capaciteTotale.style.left = 70;
	}
	else {capacite.innerText = h + heure + " et " + m + minute}
}

function masquerAlerte()
{
	attention.style.display = "none";
}

	
